#pragma once

#include <Engine/Entity/Entity.h>
#include <JGL/JGL.h>

namespace Engine {
    class Renderable;
}

class Engine::Renderable : public Entity {
public:
    // *must* be overridden.
    virtual void Render() = 0;
public:
    explicit Renderable(const Vector2& position, float rotation = 0.0f) : Entity(position, rotation) {}
};